### Method

# Gck Session verify

#### Declaration [src]

    gboolean
    gck_session_verify (
      GckSession* self,
      GckObject* key,
      gulong mech_type,
      const guchar* input,
      gsize n_input,
      const guchar* signature,
      gsize n_signature,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Verify data in a mechanism specific manner. This call may block for an indefinite period.

#### Parameters

`key` | `GckObject`
| The key to verify with.
| The data is owned by the caller of the function.
`mech_type` | `gulong`
| The mechanism type to use for verifying.
`input` | An array of `guchar`
| Data to verify.
| The length of the array is specified in the `n_input` argument.
| The data is owned by the caller of the function.
`n_input` | `gsize`
| Length of the data to verify.
`signature` | An array of `guchar`
| The signature.
| The length of the array is specified in the `n_signature` argument.
| The data is owned by the caller of the function.
`n_signature` | `gsize`
| Length of the signature.
`cancellable` | `GCancellable`
| Optional cancellation object, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the data verified correctly, otherwise a failure or error occurred.